Index: src/Clients/Angular/finki-chattery/src/app/app.component.ts
===================================================================
--- src/Clients/Angular/finki-chattery/src/app/app.component.ts	(revision 79ae62142b33ae03175dade171a7f5e23c1424dc)
+++ src/Clients/Angular/finki-chattery/src/app/app.component.ts	(revision d2b1fa665fecfac0705616b004b9e3b44b313621)
@@ -1,4 +1,4 @@
 import { Component, OnInit } from '@angular/core';
-import { LoaderService, RedirectService } from './core/services';
+import { LoaderService } from './core/services';
 
 @Component({
@@ -8,8 +8,6 @@
 })
 export class AppComponent implements OnInit {
-  constructor(public loader: LoaderService, private redirect: RedirectService) {}
+  constructor(public loader: LoaderService) {}
 
-  ngOnInit(): void {
-    this.redirect.redirectLoggedInUser();
-  }
+  ngOnInit(): void {}
 }
Index: src/Clients/Angular/finki-chattery/src/app/core/guards/authorized-student.guard.ts
===================================================================
--- src/Clients/Angular/finki-chattery/src/app/core/guards/authorized-student.guard.ts	(revision 79ae62142b33ae03175dade171a7f5e23c1424dc)
+++ src/Clients/Angular/finki-chattery/src/app/core/guards/authorized-student.guard.ts	(revision d2b1fa665fecfac0705616b004b9e3b44b313621)
@@ -1,6 +1,4 @@
 import { Injectable } from '@angular/core';
-import { CanActivate, ActivatedRouteSnapshot, RouterStateSnapshot, UrlTree } from '@angular/router';
-import { Observable } from 'rxjs';
-import { map } from 'rxjs/operators';
+import { CanActivate, ActivatedRouteSnapshot, RouterStateSnapshot } from '@angular/router';
 import { ApplicationUserType } from 'src/app/shared-app/models';
 import { AuthService } from '../services';
@@ -12,14 +10,6 @@
   constructor(private auth: AuthService) {}
 
-  canActivate(route: ActivatedRouteSnapshot, state: RouterStateSnapshot): Observable<boolean> {
-    return this.auth.currentUser().pipe(
-      map((user) => {
-        if (user?.userType === ApplicationUserType.Student) {
-          return true;
-        }
-        this.auth.login();
-        return false;
-      })
-    );
+  canActivate(route: ActivatedRouteSnapshot, state: RouterStateSnapshot): boolean {
+    return this.auth.user?.userType === ApplicationUserType.Student;
   }
 }
Index: src/Clients/Angular/finki-chattery/src/app/modules/group-management/group-management.module.ts
===================================================================
--- src/Clients/Angular/finki-chattery/src/app/modules/group-management/group-management.module.ts	(revision 79ae62142b33ae03175dade171a7f5e23c1424dc)
+++ 	(revision )
@@ -1,12 +1,0 @@
-import { NgModule } from '@angular/core';
-import { CommonModule } from '@angular/common';
-
-
-
-@NgModule({
-  declarations: [],
-  imports: [
-    CommonModule
-  ]
-})
-export class GroupManagementModule { }
Index: src/Clients/Angular/finki-chattery/src/app/modules/profile-management/profile-management.module.ts
===================================================================
--- src/Clients/Angular/finki-chattery/src/app/modules/profile-management/profile-management.module.ts	(revision 79ae62142b33ae03175dade171a7f5e23c1424dc)
+++ 	(revision )
@@ -1,12 +1,0 @@
-import { NgModule } from '@angular/core';
-import { CommonModule } from '@angular/common';
-
-
-
-@NgModule({
-  declarations: [],
-  imports: [
-    CommonModule
-  ]
-})
-export class ProfileManagementModule { }
Index: src/Clients/Angular/finki-chattery/src/app/modules/questioning/questioning.routes.ts
===================================================================
--- src/Clients/Angular/finki-chattery/src/app/modules/questioning/questioning.routes.ts	(revision 79ae62142b33ae03175dade171a7f5e23c1424dc)
+++ src/Clients/Angular/finki-chattery/src/app/modules/questioning/questioning.routes.ts	(revision d2b1fa665fecfac0705616b004b9e3b44b313621)
@@ -28,5 +28,5 @@
         component: AskQuestionComponent,
         canActivate: [AuthorizedStudentGuard]
-      }
+      },
       {
         path: ':questionUid',
Index: src/Clients/Angular/finki-chattery/src/app/shared-app/models/categories.models.ts
===================================================================
--- src/Clients/Angular/finki-chattery/src/app/shared-app/models/categories.models.ts	(revision 79ae62142b33ae03175dade171a7f5e23c1424dc)
+++ 	(revision )
@@ -1,3 +1,0 @@
-export class CategoryViewModel {
-  constructor(public uid: string, public name: string) {}
-}
Index: src/Clients/Angular/finki-chattery/src/app/shared-app/models/index.ts
===================================================================
--- src/Clients/Angular/finki-chattery/src/app/shared-app/models/index.ts	(revision 79ae62142b33ae03175dade171a7f5e23c1424dc)
+++ src/Clients/Angular/finki-chattery/src/app/shared-app/models/index.ts	(revision d2b1fa665fecfac0705616b004b9e3b44b313621)
@@ -4,3 +4,2 @@
 export * from './category-state-view-models.models';
 export * from './question-state-enums.models';
-export * from './categories.models';
